/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package Metier;

/**
 *
 * @author emile.lalorcey
 */
public class Medicament {
    /**
     * id = le numero du médicament
     * nom = le nom du médicament
     * composition = la composition du médicament
     * effet = les effet du médicament
     * contreindication = les contreindications du médicament
     * prix = le prix en unité du médicament
     */
    private int id;
    private String nom;
    private String composition;
    private String effet;
    private String contreindication;
    private float prix;

    
    /** LE CONSTRUCTEUR DEFAULT
     * 
     * @param id
     * @param nom
     * @param composition
     * @param effet
     * @param contreindication
     * @param prix 
     */
    public Medicament(int id, String nom, String composition, String effet, String contreindication, float prix) {
        this.id = id;
        this.nom = nom;
        this.composition = composition;
        this.effet = effet;
        this.contreindication = contreindication;
        this.prix = prix;
    }
    
    
    
    
    /** LES GUETTEUR
     * @return the id
     */
    public int getId() {
        return id;
    }

    /**
     * @return the nom
     */
    public String getNom() {
        return nom;
    }

    /**
     * @return the composition
     */
    public String getComposition() {
        return composition;
    }

    /**
     * @return the effet
     */
    public String getEffet() {
        return effet;
    }

    /**
     * @return the contreindication
     */
    public String getContreindication() {
        return contreindication;
    }

    /**
     * @return the prix
     */
    public float getPrix() {
        return prix;
    }

    
    @Override
    public String toString() {
        return "Medicament{" + "id=" + id + ", nom=" + nom + ", composition=" + composition + ", effet=" + effet + ", contreindication=" + contreindication + ", prix=" + prix + '}';
    }
 
}
